##################################################################
# Makefile for SBL (Synchronet BBS List Online External Program) #
# For use with Watcom C++			  		 #
# Tabstop=8				 	  		 #
##################################################################

# Macros
CC	= wcc
LD	= wlink
SDK	= ..\sdk
INCLUDE = \watcom\h;$(SDK)
MODEL	= l
CFLAGS	= -m$(MODEL) -I=$(INCLUDE)
LFLAGS  = system DOS
OBJS    = xsdk.obj xsdkvars.obj $(SDK)\mswait$(MODEL).obj
HEADERS = $(SDK)\xsdk.h $(SDK)\xsdkdefs.h $(SDK)\xsdkvars.c sbldefs.h

# Implicit C Compile Rule
.c.obj:
	@echo Compiling (I) $< to $@ ...
        $(CC) $(CFLAGS) $<

# Main EXE Link Rule
sbl.exe: sbl.obj $(OBJS)
    	@echo Linking $< ...
	$(LD) $(LFLAGS) file { sbl.obj $(OBJS) }

# All .obj modules
sbl.obj:: $(HEADERS)

xsdk.obj: $(SDK)\xsdk.c $(HEADERS)
	@echo Compiling $(SDK)\$*.c to $*.obj ...
	$(CC) $(CFLAGS) $(SDK)\$*.c

xsdkvars.obj: $(SDK)\xsdkvars.c $(SDK)\xsdkdefs.h
	@echo Compiling $(SDK)\$*.c to $*.obj ...
	$(CC) $(CFLAGS) $(SDK)\$*.c
